DISK_MAP_SECTOR_RCU(9)

NAME
disk_map_sector_rcu - map sector to partition

SYNOPSIS

struct hd_struct * disk_map_sector_rcu(struct gendisk * disk, sector_t sector);

ARGUMENTS

disk
    gendisk of interest

sector
    sector to map

DESCRIPTION

Find out which partition sector maps to on disk. This is primarily used for stats accounting.

CONTEXT

RCU read locked. The returned partition pointer is valid only while preemption is disabled.

RETURNS

Found partition on success, part0 is returned if no partition matches

COPYRIGHT